Package ch.qos.logback.core.subst

# Class Token

java.lang.Object
ch.qos.logback.core.subst.Token

public class Token extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Token.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Token`
`CURLY_LEFT_TOKEN`
`static final Token`
`CURLY_RIGHT_TOKEN`
`static final Token`
`DEFAULT_SEP_TOKEN`
`static final Token`
`START_TOKEN`

## Constructor Summary

Constructors
Constructor
Description
`Token(Token.Type type, String payload)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### START_TOKEN

public static final Token START_TOKEN

### CURLY_LEFT_TOKEN

public static final Token CURLY_LEFT_TOKEN

### CURLY_RIGHT_TOKEN

public static final Token CURLY_RIGHT_TOKEN

### DEFAULT_SEP_TOKEN

public static final Token DEFAULT_SEP_TOKEN

## Constructor Details

### Token

public Token(Token.Type type, String payload)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`